---
title: "Project"
description: "Documentation and guidance for building tools and integrations with the Disguise platform."
url: https://developer.disguise.one/api/service/project/
---

# PROJECT API

-   [POST forcequitlocalproject](#post-forcequitlocalproject)
-   [POST quitlocalproject](#post-quitlocalproject)
-   [POST restartlocalproject](#post-restartlocalproject)
-   [POST startlocalproject](#post-startlocalproject)

## POST forcequitlocalproject

### Summary

Force quit an active disguise project

### URL

POST    /api/service/project/forcequitlocalproject

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```

## POST quitlocalproject

### Summary

Quit an active disguise project

### URL

POST    /api/service/project/quitlocalproject

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```

## POST restartlocalproject

### Summary

Restart an active disguise project

### URL

POST    /api/service/project/restartlocalproject

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```

## POST startlocalproject

### Summary

Start a disguise project using relative or absolute project path

### URL

POST    /api/service/project/startlocalproject

### Request

```json
{
  "projectPath": "",
  "soloMode": false,
  "allowUpgrade": false
}
```

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```
